Bug 171327

Summary: Use automated line wrappings in rhn-applet message
Product: [Fedora] Fedora Reporter: Christian Rose <menthos>
Component: rhn-appletAssignee: Robin Norwood <robin.norwood>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideKeywords: StringChange
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-11-05 11:33:32 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Christian Rose 2005-10-20 16:29:04 EDT
#: ../rhn_applet.glade.h:43
msgid ""
"Welcome to the Red Hat Network Alert Notification Tool.\n"
"\n"
"This program will help you determine at a glance \n"
"if your system is in need of critical software updates.\n"
"\n"
"Click 'Forward' below to begin configuration."

Please do not use hard coded newlines in messages.

1) They make it difficult for translators, since it's difficult to estimate the
correct line width to use.
2) They make it difficult for users that need accessibility, since if you use a
different or bigger font, all line wrappings will be messed up.

Please use automatic line wrappings instead, if possible.

Please note that this is not the only message in rhn-applet that this applies to.
Comment 1 John Thacker 2006-10-29 17:37:05 EST
rhn-applet was replaced by pirut and put (package pirut) as of FC5.  Only FC5
and FC6 are currently fully supported; FC3 and FC4 are supported for security
fixes only.  If this bug occurs in FC3 or FC4 and is a security bug, please
change the product to Fedora Extras and the version to match.  If you can verify
that the bug exists in RHEL as well, please change the product and version
appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Note that rhn-applet may still be present on upgraded systems, and in general
will not function correctly on such systems.  That is not a bug; anaconda does
not generally erase removed packages upon upgrades.
Comment 2 John Thacker 2006-11-05 11:33:32 EST
Closing per previous comment.